import os

from configs.config import ConfigManager
from runners.runner import Runner


class Tester(Runner):

    def __init__(self, config_path):
        super().__init__(config_path)
        self.pipeline_config = ConfigManager.get("settings", "pipeline")
        self.current_epoch = 0

    def run(self):
        pass

    def load_experiment(self):
        super().load_experiment()

    def create_experiment(self):
        super().create_experiment()
        experiment_path = os.path.join(self.experiments_config["root_dir"], self.experiments_config["name"])
        result_dir = os.path.join(str(experiment_path), "results")
        os.makedirs(result_dir)


if __name__ == "__main__":
    import argparse
    parser = argparse.ArgumentParser()
    parser.add_argument("--config", type=str, default="configs/local_train_config.yaml")
    args = parser.parse_args()
    tester = Tester(args.config)
    tester.run()
